NEEDLE(1)

NAME
needle -

DESCRIPTION
Needle allows you to build an Interleaved Bloom Filter (IBF) with the command ibf or estimate the expression of transcripts with the command estimate.

SUBCOMMANDS
This program must be invoked with one of the following subcommands:
- count
- delete
- estimate
- genome
- ibf
- ibfmin
- insert
- insertmin
- minimiser

See the respective help page for further details (e.g. by calling needle count -h).

The following options below belong to the top-level parser and need to be specified before the subcommand key word. Every argument after the subcommand key word is passed on to the corresponding sub-parser.

OPTIONS

  Basic options:

-h, --help
    Prints the help page.

-hh, --advanced-help
    Prints the help page including advanced options.

--version
    Prints the version information.

--copyright
    Prints the copyright/license information.

--export-help (std::string)
    Export the help page information. Value must be one of [html, man].

VERSION
Last update: 2024-11-07
needle version: 1.0.3
SeqAn version: 3.4.0

URL
https://github.com/seqan/needle

LEGAL
needle Copyright: BSD 3-Clause License
Author: Mitra Darvish
SeqAn Copyright: 2006-2025 Knut Reinert, FU-Berlin; released under the 3-clause BSDL.
In your academic works please cite: Needle: a fast and space-efficient prefilter for estimating the quantification of very large collections of expression experiments; Mitra Darvish, Enrico Seiler, Svenja Mehringer, René Rahn, and Knut Reinert; Bioinformatics, Volume 38, Issue 17, 1 September 2022, Pages 4100-4108. doi: https://doi.org/10.1093/bioinformatics/btac492
For full copyright and/or warranty information see --copyright.